# Overview

* This package contains the main page for <https://parley.be>
* The package is based on <https://git.domainepublic.net/Neutrinet/neutrinet_ynh>

# Installation

```shell
git clone https://dev.parley.be/PPBe/parley_mainpage_ynh
yunohost app install parley_mainpage_ynh
```

# Upgrading

```shell
cd parley_mainpage_ynh
git pull
cd ..
yunohost app upgrade parley_mainpage_ynh -f parley_mainpage_ynh
```

# For contributers
## Contact

* You can contact us on Matrix #ppbe-internetz:matrix.org
* Plz contact us to get an account on the gitea instance

## Design

* The website is quite ugly, we know, it's honestly the best we can do. Feel free to contact us if you want to help with design! (logo, website, theming...)

## Translations
### Adding a new translation to the site

1. Copy [sources/index_en.html](sources/index_en.html) and change the name so it has the correct two letter language code. The name should be of the form `index_<langcode>.html`
2. Translate it
3. Add a new block to the nginx config file [conf/nginx.conf](conf/nginx.conf)
4. Add the new language to the language-menu of the other pages in the [sources](sources) folder. E.g. for French `- <a href="../fr/">fr</a>`

Example of such block, change <langcode> to the two-letter language-code:
```
location PATHTOCHANGE/<langcode> {
    alias ALIASTOCHANGE;
    index index_<langcode>.html;
}
```

Example of language-menu with languages en, nl and fr
```html
<div class='section language-menu'>
<a href="../en/">en</a>
- <a href="../nl/">nl</a>
- <a href="../fr/">fr</a>
</div>
```
### Improving existing translations

* Make the changes directly to the relevant index page. E.g. for English [sources/index_en.html](sources/index_en.html)

## Adding things to the page

Make the changes to as many language pages as you can. The English page is considered the 'main' page, so please try to add it there especially.

## Upstreaming

* Issues can be logged on the issue tracker or through the Matrix channel
* Merge requests can be done to the `stable` branch directly. Let someone know on the Matrix channel or make sure you update the site yourself.

## Publish a new version of the app

* Updating will remove the folders and put the new version in place. As long as no big changes to the folder structure were done, you don't have to edit the [upgrade](scripts/upgrade) script.
* Technically we should edit the [manifest](manifest.json) file to bump the version, but having a version scheme like this for a simple website seems overkill and updating will work regardless
* stable is the default branch, so no need to merge to another branch

